Page MenuHomeFreeBSD

security/bro: Add a NETMAP option to build and install the bro netmap plugin
ClosedPublic

Authored by leres on Feb 14 2018, 11:37 PM.

Details

Summary

Proposed commit message:

Add a NETMAP option to build and install the bro netmap plugin.

PR: 224918
Reported by: Shane Peters
Reviewed by: ? (mentor)
Approved by: ? (mentor)
Differential Revision: ?

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Looks ok to me, but I'd like to see @matthew look at it too before you commit it.

This revision is now accepted and ready to land.Feb 14 2018, 11:55 PM
mat requested changes to this revision.Feb 15 2018, 1:20 PM
mat added inline comments.
security/bro/Makefile
9–10 ↗(On Diff #39325)

USE_GITHUB for both of those.

This revision now requires changes to proceed.Feb 15 2018, 1:20 PM

Redo NETMAP changes to use GH_TUPLE (thanks to @mat for providing
an example by changing BROKER to work this way). Only download caf
and bro-netmap when they are enabled.

security/bro/Makefile
22–23 ↗(On Diff #39341)

Those should go with the other options helpers.
And USE_GITHUB should probably only be defined when one of the option is enabled.

BROKER_USE= GITHUB=nodefault
NETMAP_USE= GITHUB=nodefault

Consolidate options helpers.
Only USE_GITHUB when BROKER or NETMAP is enabled.

This revision was not accepted when it landed; it landed in state Needs Review.Feb 19 2018, 10:04 PM
This revision was automatically updated to reflect the committed changes.
leres marked an inline comment as done.